.smoke-box {
    position: relative;
    overflow: hidden;
    &__smoke {
        background: #f1f1f1;
        position: absolute;
        right: 0;
        top: 200px;
        transform: translateX(75%) translateZ(1px);
        z-index: -1;
        pointer-events: none;
        &._ok {
            animation: smoke 46s infinite ease-out;
        }
        img{ 
            mix-blend-mode: difference;
        }
        + .smoke-box__smoke {
            top: auto;
            bottom: 0;
            &._ok {
                animation: smoke2 92s infinite ease-out;
            }
        }
    }
    &--type-2 {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        .smoke-box__smoke {
            background: none;
            mix-blend-mode: lighten;
        }
    }
}